Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 23 Oct 2014, 14:32
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
gtk-youtube-viewer (for lots of pups)
Post new topic   Reply to topic View previous topic :: View next topic
Page 3 of 13 [195 Posts]   Goto page: Previous 1, 2, 3, 4, 5, ..., 11, 12, 13 Next
Author Message
paulsbasso

Joined: 09 Jul 2012
Posts: 7

PostPosted: Mon 09 Jul 2012, 21:22    Post subject: working SLACKO  

Thanks!!!

Working fine on Slacko!....

B/R. Pablo
Back to top
View user's profile Send private message 
runtt21


Joined: 07 Jun 2008
Posts: 1650
Location: BigD Texas

PostPosted: Sun 29 Jul 2012, 12:16    Post subject:  

Could you make a version for Precise? I tried the lucid version in precise and it failed with this error:

perl: symbol lookup error: /usr/lib/perl5/auto/Glib/Glib.so: undefined symbol: Perl_Gthr_key_ptr


Works great in Lucid though.

Thanks !!
Back to top
View user's profile Send private message Visit poster's website 
peebee


Joined: 21 Sep 2008
Posts: 1463
Location: Malvern, Worcs, UK

PostPosted: Mon 30 Jul 2012, 14:46    Post subject:  

Hi

Just loaded gtk-youtube-viewer onto slacko 5.3.3

Under "File -> Login to Youtube"
I get the following error message:
Quote:
Can't locate URI/_foreign.pm in @INC (@INC contains: /usr/lib/perl5/site_perl/5.12.3/i486-linux-thread-multi /usr/lib/perl5/site_perl/5.12.3 /usr/lib/perl5/vendor_perl/5.12.3/i486-linux-thread-multi /usr/lib/perl5/vendor_perl/5.12.3 /usr/lib/perl5/5.12.3/i486-linux-thread-multi /usr/lib/perl5/5.12.3 /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl .) at /usr/lib/perl5/vendor_perl/5.12.3/URI.pm line 60.

The module URI::_foreign is required!

To install the module, just type in terminal:
sudo cpan URI::_foreign

I've tried the suggested cpan command in a terminal but slacko says it is unknown.

Grateful for any suggestions as gtk-youtube-viewer looks like a nice application....

Thanks
peebee

_________________
LxPup-14.10 = Puppy + LXDE
Back to top
View user's profile Send private message Visit poster's website 
666philb


Joined: 07 Feb 2010
Posts: 1776
Location: wales

PostPosted: Mon 30 Jul 2012, 17:58    Post subject:  

hi peebee

yeah the slacko version doesn;t log in,i had troubles with the slacko version. but maybe installing that module may make it work.

to install the module you'll first need to install the devx. the command should then work. (i would back up first!)

let me know if it fixes it, and i'll make a new pet

_________________
Tahrpup, built with trusty tahr packages http://murga-linux.com/puppy/viewtopic.php?t=93998
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
Back to top
View user's profile Send private message 
peebee


Joined: 21 Sep 2008
Posts: 1463
Location: Malvern, Worcs, UK

PostPosted: Tue 31 Jul 2012, 02:44    Post subject:  

666philb wrote:
let me know if it fixes it, and i'll make a new pet

Hi 666philb

Tried your suggestion (many thanks) - it changed the error message but still doesn't seem to work:
Quote:
Unable to login: LWP will support https URLs if the LWP::Protocol::https module is installed.

Should I try one of the other puppies - which is likely to work the best??

Thanks
peebee

_________________
LxPup-14.10 = Puppy + LXDE
Back to top
View user's profile Send private message Visit poster's website 
666philb


Joined: 07 Feb 2010
Posts: 1776
Location: wales

PostPosted: Tue 31 Jul 2012, 04:21    Post subject:  

hi peebee

i had a quick go at getting the log in to work but couldn't. everything else works on slacko i think.

the most complete version is the lucid puppy one, which allows you to log in, and also has a complete set of icons

_________________
Tahrpup, built with trusty tahr packages http://murga-linux.com/puppy/viewtopic.php?t=93998
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
Back to top
View user's profile Send private message 
666philb


Joined: 07 Feb 2010
Posts: 1776
Location: wales

PostPosted: Tue 31 Jul 2012, 07:31    Post subject:  

runtt21 wrote:
Could you make a version for Precise? I tried the lucid version in precise and it failed with this error:

perl: symbol lookup error: /usr/lib/perl5/auto/Glib/Glib.so: undefined symbol: Perl_Gthr_key_ptr


Works great in Lucid though.

Thanks !!


hi runtt21,

yeah they are puppy specific so won't work on other pups, and may well mess up other pups perl installation!!!

i've put together a version for precise, the youtube login doesn't work, but streaming and downloading seems fine. http://www.mediafire.com/file/2j96z2ekd27k8i2/gtk_youtube_viewer-2.05_precise.pet

added link to first post

_________________
Tahrpup, built with trusty tahr packages http://murga-linux.com/puppy/viewtopic.php?t=93998
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
Back to top
View user's profile Send private message 
peebee


Joined: 21 Sep 2008
Posts: 1463
Location: Malvern, Worcs, UK

PostPosted: Tue 31 Jul 2012, 11:04    Post subject:  

666philb wrote:
the most complete version is the lucid puppy one, which allows you to log in, and also has a complete set of icons


Hi 666philb

Tried on lupu 528.005

Without being logged in I was able to search for and display a number of videos from user 4odcomedy

However if I tried to download one of them all I got was a 0byte text file in /root with a name that looked like an mp4 file

When I logged in, the following error message was displayed if I tried to find the same videos again:
Quote:
Can't locate HTTP/Headers/Util.pm in @INC (@INC contains: /etc/perl /usr/local/lib/perl/5.10.1 /usr/local/share/perl/5.10.1 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.10 /usr/share/perl/5.10 /usr/local/lib/site_perl .) at /usr/local/share/perl/5.10.1/LWP/UserAgent.pm line 357.

The module HTTP::Headers::Util is required!

To install the module, just type in terminal:
sudo cpan HTTP::Headers::Util

If I logout then the error goes away and the find list is again displayed but can't be downloaded.

So I'm stumped.....
Thanks
peebee

_________________
LxPup-14.10 = Puppy + LXDE
Back to top
View user's profile Send private message Visit poster's website 
666philb


Joined: 07 Feb 2010
Posts: 1776
Location: wales

PostPosted: Tue 31 Jul 2012, 11:23    Post subject:  

hi peebee

it is odd, some 40dcomedy work and some do not. i tried watching one of the videos that don't work on youtube directly and it didn't work there either so that may explain it.

_________________
Tahrpup, built with trusty tahr packages http://murga-linux.com/puppy/viewtopic.php?t=93998
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
Back to top
View user's profile Send private message 
Jactek

Joined: 10 Dec 2006
Posts: 37
Location: Hport NY

PostPosted: Fri 03 Aug 2012, 15:32    Post subject:    

Excellent works great Smile
Back to top
View user's profile Send private message 
runtt21


Joined: 07 Jun 2008
Posts: 1650
Location: BigD Texas

PostPosted: Fri 03 Aug 2012, 16:48    Post subject:  

Thanks philb , Works great for me in both Precise and Macpup 529.
Back to top
View user's profile Send private message Visit poster's website 
greengeek

Joined: 20 Jul 2010
Posts: 2596
Location: New Zealand

PostPosted: Sun 16 Sep 2012, 15:43    Post subject:  

Awesome work philb. Very useful. Is there a way to save to somewhere other than root? I found a really long vid I would like to download and don't want to run out of space in the savefile. Thanks for this, it's a great program. (I'm using the wary version on SolidPupTINT2)
Back to top
View user's profile Send private message 
stu91


Joined: 06 Aug 2012
Posts: 145
Location: England. Dpup. Dell Inspiron 1501

PostPosted: Mon 17 Sep 2012, 00:08    Post subject:  

greengeek wrote:
Awesome work philb. Very useful. Is there a way to save to somewhere other than root? I found a really long vid I would like to download and don't want to run out of space in the savefile. Thanks for this, it's a great program. (I'm using the wary version on SolidPupTINT2)

Hi greengeek,
You can change download locations by going - File > Preferences > then look for - 'downloads_folder' => '/root'
Just change the location between the single quotes and then > Apply.
Back to top
View user's profile Send private message 
greengeek

Joined: 20 Jul 2010
Posts: 2596
Location: New Zealand

PostPosted: Mon 17 Sep 2012, 04:01    Post subject:  

Thanks Stu - too easy. I must be blind! Smile
Back to top
View user's profile Send private message 
backi

Joined: 27 Feb 2011
Posts: 448
Location: GERMANY

PostPosted: Wed 19 Sep 2012, 13:27    Post subject:  

Hi There !
Is it possible to change Mediaplayer Want to use Umplayer ...How to....?
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 3 of 13 [195 Posts]   Goto page: Previous 1, 2, 3, 4, 5, ..., 11, 12, 13 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1032s ][ Queries: 13 (0.0299s) ][ GZIP on ]